#
# spec file for package kdeutils (Version 2.2.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  audiofile autoconf automake docbook-dsssl-stylesheets docbook_3 fam gettext gpp iso_ent jade_dsl kdelibs kdelibs-artsd kdelibs-devel libgpp libjpeg liblcms libmng libmng-devel libpng libtiff libxml2 libz mesa mesa-devel mesasoft qt qt-devel qt-extensions sp sp-devel xf86 xf86glu xf86glu-devel xpm
# usedforbuild    aaa_base aaa_dir audiofile autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils docbook-dsssl-stylesheets docbook_3 e2fsprogs fam file fileutils findutils flex freetype2 gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip iso_ent jade_dsl kbd kdelibs kdelibs-artsd kdelibs-devel less libgpp libjpeg liblcms libmng libmng-devel libpng libtiff libtool libxml2 libz m4 make man mesa mesa-devel mesasoft mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps qt qt-devel qt-extensions rcs readline rpm sendmail sh-utils shadow sp sp-devel strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xf86glu xf86glu-devel xshared

Name:         kdeutils
Obsoletes:    kutils2,kdf
Provides:     kutils2,kdf
Copyright:    GPL
Group:        X11/KDE/Base
Summary:      KDE utility programs
BuildRoot:    /var/tmp/%{name}-buildroot
Version:      2.2.1
Release:      91
Source0:      %{name}-%{version}.tar.bz2
Patch0:       kdf_fix.dif	
Patch10:      i386.dif
Patch11:      ppc.dif

%description
A couple of utility programs for KDE.

Authors:
--------
    The KDE Team <kde@kde.org>

SuSE series: k2de

%prep
%setup
%patch -p0 -E
%ifarch i386
%patch10
%endif
%ifarch ppc
%patch11
%endif

%build
%ifarch alpha pcc
export OPT_LEVEL="-O0"
%else
export OPT_LEVEL="-O2"
%endif
[ ! -x ./configure ] && make -f Makefile.cvs
CXXFLAGS="$RPM_OPT_FLAGS $CXXFLAGS -DNDEBUG  $OPT_LEVEL " ./configure \
  --prefix=/opt/kde2 \
  --disable-debug \
   --mandir=%{_mandir}/ \
  --with-qt-dir=/usr/lib/qt2 \
  
make

%install
[ ${RPM_BUILD_ROOT} != "/" ] && rm -rf ${RPM_BUILD_ROOT}
rm -f ${RPM_BUILD_DIR}/kde%{name}.list
make DESTDIR=$RPM_BUILD_ROOT install-strip

%clean
[ ${RPM_BUILD_ROOT} != "/" ] && rm -rf ${RPM_BUILD_ROOT}
rm -f ${RPM_BUILD_DIR}/kde%{name}.list

%files
%doc AUTHORS COPYING INSTALL README 
/opt/kde2/share/applnk/*
/opt/kde2/share/apps/*
/opt/kde2/share/doc/HTML/en/*
/opt/kde2/share/icons/*/??x??/*/*
/opt/kde2/bin/*
/opt/kde2/lib/*
/opt/kde2/include/*
/opt/kde2/share/services/*
%doc %{_mandir}/man1/*
%config /opt/kde2/share/config/*

%changelog -n kdeutils
* Thu Oct 11 2001 - adrian@suse.de
- use /sbin/snooze instead of apm on PPC
- fix path to thinkpad tool for i386
* Wed Sep 19 2001 - uwedr@suse.de
- Fixed #10469. No more qFatal in kdf when df returns "Dateisystem"
* Sat Sep 08 2001 - adrian@suse.de
- update to 2.2.1
* Fri Aug 24 2001 - adrian@suse.de
- update to 2.2.0 final
* Mon Aug 13 2001 - ro@suse.de
- changed neededforbuild <sp_libs> to <sp-devel>
* Thu Aug 02 2001 - adrian@suse.de
- 2.2pre1
* Fri Jun 29 2001 - adrian@suse.de
- 2.2beta1
* Mon Apr 16 2001 - adrian@suse.de
- 2.2alpha1
* Fri Mar 30 2001 - ro@suse.de
- neededforbuild fix
* Tue Mar 27 2001 - ro@suse.de
- changed neededforbuild <docbkdsl> to <docbook-dsssl-stylesheets>
* Tue Mar 20 2001 - adrian@suse.de
- update to final 2.1.1
* Sun Mar 18 2001 - ro@suse.de
- fixed neededforbuild
* Tue Mar 13 2001 - ro@suse.de
- removed second occurence of docbk30 from neededforbuild
* Tue Mar 13 2001 - ro@suse.de
- changed neededforbuild <docbk30> to <docbook_3>
* Thu Feb 22 2001 - adrian@suse.de
- update to final 2.1.0
* Wed Dec 13 2000 - adrian@suse.de
- update to current 2_0_BRANCH
* Thu Nov 30 2000 - adrian@suse.de
- update to 2.0.1
* Fri Nov 17 2000 - ro@suse.de
- fixed neededforbuild: += libmng-devel
* Fri Nov 17 2000 - ro@suse.de
- audiofil -> audiofile
* Thu Nov 16 2000 - adrian@suse.de
- New version from KDE_2_0_BRANCH
* Tue Oct 17 2000 - adrian@suse.de
- update to 2.0.0
* Tue Sep 12 2000 - adrian@suse.de
- update to RC 1
* Tue Aug 22 2000 - uli@suse.de
- removed weird options that broke compilation on PPC
* Mon Aug 21 2000 - adrian@suse.de
- update to beta 4 / 1.93
* Fri Jul 21 2000 - adrian@suse.de
- update to beta 3
* Tue Jul 18 2000 - adrian@suse.de
- update to snapshot from 17.07.2000
* Sun Jul 09 2000 - adrian@suse.de
- update to snapshot from 06.07.2000
* Thu Jul 06 2000 - adrian@suse.de
- Spec file created from kdeutils-1.91.20000706.tar.gz by autospec
